> This page is for version Latest (default).
> For other versions, use one of these documentation indexes:
> - Latest (default): https://docs.nvidia.com/nemo-helix/latest/llms.txt
> - 0.8.0: https://docs.nvidia.com/nemo-helix/v0.8.0/llms.txt
> - 0.7.1: https://docs.nvidia.com/nemo-helix/v0.7.1/llms.txt
> - 0.7.0: https://docs.nvidia.com/nemo-helix/v0.7.0/llms.txt
> - 0.6.0: https://docs.nvidia.com/nemo-helix/v0.6.0/llms.txt
> - 0.5.1: https://docs.nvidia.com/nemo-helix/v0.5.1/llms.txt
> - 0.5.0: https://docs.nvidia.com/nemo-helix/v0.5.0/llms.txt
> - 0.4.0: https://docs.nvidia.com/nemo-helix/v0.4.0/llms.txt
> - 0.3.0: https://docs.nvidia.com/nemo-helix/v0.3.0/llms.txt
> - 0.2.0: https://docs.nvidia.com/nemo-helix/v0.2.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-helix/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-helix/_mcp/server.

# Discover auth configuration

GET /apis/auth/discovery

Return authentication configuration for CLI/SDK discovery.

This endpoint is unauthenticated and returns the information clients
need to authenticate with this NeMo Helix deployment.

**Response fields:**

- `auth_enabled`: Whether authentication is enabled on this cluster
- `oidc`: OIDC configuration (only present when OIDC is enabled)
  - `issuer`: The OIDC issuer URL
  - `userinfo_endpoint`: UserInfo endpoint
  - `clients`: Complete public and confidential user-login client contracts. Exactly one is the default.
  - `workload_token_exchange_enabled`: Whether SDK workload identity token exchange is enabled
  - `workload_client_id`: OAuth client ID to use for workload identity token exchange
  - `workload_token_endpoint`: Token endpoint to use only for workload identity token exchange
  - `workload_audience`: RFC 8693 audience for exchanged workload tokens
  - `workload_scope`: OAuth scopes for exchanged workload tokens

Reference: https://docs.nvidia.com/nemo-helix/documentation/reference/api-reference/discovery/get-auth-discovery-endpoint-apis-auth-discovery-get

## Response

### 200

Successful Response

- `auth_enabled` (boolean, required)
- `oidc` (OIDCDiscoveryResponse, optional) — OIDC discovery response returned by the auth discovery endpoint.

## Types

### OIDCDiscoveryResponse

OIDC discovery response returned by the auth discovery endpoint.

- `issuer` (string, required)
- `userinfo_endpoint` (string, optional)
- `clients` (list of OidcDiscoveryResponseClientsItems, optional)
- `workload_token_exchange_enabled` (boolean, optional, default: false)
- `workload_client_id` (string, optional)
- `workload_token_endpoint` (string, optional)
- `workload_audience` (string, optional)
- `workload_scope` (string, optional)

### OidcDiscoveryResponseClientsItems

- `name`: `confidential` (ConfidentialOidcAdvertisedClient)
  - `authorization_start_endpoint` (string, required)
  - `broker_token_endpoint` (string, required)
  - `client_id` (string, required)
  - `default` (boolean, required)
  - `bearer_token_source` (enum, optional, default: access_token)
    - Allowed values: `access_token`, `id_token`
  - `client_authentication` ("client_secret_basic", optional, default: client_secret_basic)
  - `default_scopes` (string, optional, default: openid profile email offline_access)
  - `scope_prefix` (string, optional)
- `name`: `public` (PublicOidcAdvertisedClient)
  - `client_id` (string, required)
  - `default` (boolean, required)
  - `authorization_endpoint` (string, optional)
  - `authorization_start_endpoint` (string, optional)
  - `bearer_token_source` (enum, optional, default: access_token)
    - Allowed values: `access_token`, `id_token`
  - `broker_token_endpoint` (string, optional)
  - `client_authentication` ("public", optional, default: public)
  - `default_scopes` (string, optional, default: openid profile email offline_access)
  - `device_authorization_display_name` (string, optional)
  - `device_authorization_endpoint` (string, optional)
  - `device_authorization_requires_device_id` (boolean, optional, default: false)
  - `device_token_request_includes_scope` (boolean, optional, default: true)
  - `scope_prefix` (string, optional)
  - `server_side_sessions` (boolean, optional, default: false)
  - `token_endpoint` (string, optional)

## Examples

**Response**

```json
{
  "auth_enabled": true,
  "oidc": {
    "issuer": "string",
    "userinfo_endpoint": "string",
    "clients": [
      {
        "name": "public",
        "client_id": "string",
        "default": true,
        "authorization_endpoint": "string",
        "authorization_start_endpoint": "string",
        "bearer_token_source": "access_token",
        "broker_token_endpoint": "string",
        "client_authentication": "public",
        "default_scopes": "openid profile email offline_access",
        "device_authorization_display_name": "string",
        "device_authorization_endpoint": "string",
        "device_authorization_requires_device_id": false,
        "device_token_request_includes_scope": true,
        "scope_prefix": "string",
        "server_side_sessions": false,
        "token_endpoint": "string"
      }
    ],
    "workload_token_exchange_enabled": false,
    "workload_client_id": "string",
    "workload_token_endpoint": "string",
    "workload_audience": "string",
    "workload_scope": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/auth/discovery"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/auth/discovery';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/auth/discovery"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/auth/discovery")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/auth/discovery")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/auth/discovery');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/auth/discovery");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/auth/discovery")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```